Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.node
Class Join

    java.lang.Object
      org.jbpm.graph.def.GraphElement
          org.jbpm.graph.def.Node
              org.jbpm.graph.node.Join

All Implemented Interfaces:
  java.io.Serializable, Parsable

    public class Join

extends Node
implements Parsable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.graph.def.Node
`action, arrivingTransitions, isAsync, isAsyncExclusive, leavingTransitions, superState, supportedEventTypes`

Fields inherited from class org.jbpm.graph.def.GraphElement
`description, events, exceptionHandlers, name, processDefinition`

Constructor Summary
`Join()`
`Join(java.lang.String name)`

Method Summary
`void` | `execute(ExecutionContext executionContext)` override this method to customize the node behaviour.
`int` | `getNOutOfM()`
`Script` | `getScript()`
`java.util.Collection` | `getTokenNames()`
`boolean` | `isDiscriminator()`
`boolean` | `mustParentBeReactivated(Token parentToken, java.util.Iterator childTokenNameIterator)`
`void` | `read(org.dom4j.Element element, JpdlXmlReader jpdlReader)`
`void` | `setDiscriminator(boolean isDiscriminator)`
`void` | `setNOutOfM(int nOutOfM)`
`void` | `setScript(Script script)`
`void` | `setTokenNames(java.util.Collection tokenNames)`

Methods inherited from class org.jbpm.graph.def.Node
`addArrivingTransition, addLeavingTransition, addNodeLog, createAsyncContinuationJob, enter, generateNextLeavingTransitionName, getAction, getArrivingTransitions, getDefaultLeavingTransition, getFullyQualifiedName, getLeavingTransition, getLeavingTransitions, getLeavingTransitionsList, getLeavingTransitionsMap, getNodes, getParent, getProcessDefinition, getSuperState, getSupportedEventTypes, hasLeavingTransition, hasNoLeavingTransitions, isAsync, isAsyncExclusive, isSuperStateNode, leave, leave, leave, removeArrivingTransition, removeLeavingTransition, reorderLeavingTransition, setAction, setAsync, setAsyncExclusive, setName, write`

Methods inherited from class org.jbpm.graph.def.GraphElement
`addEvent, addExceptionHandler, createAsyncActionExecutionJob, equals, executeAction, findExceptionHandler, fireAndPropagateEvent, fireEvent, getDescription, getEvent, getEvents, getExceptionHandlers, getId, getName, getParentChain, getParents, hasEvent, hasEvents, raiseException, removeEvent, removeExceptionHandler, reorderExceptionHandler, setDescription, setProcessDefinition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbpm.jpdl.xml.Parsable
`write`

Constructor Detail

### Join

    public Join()

### Join

    public Join(java.lang.String name)

Method Detail

### read

    public void read(org.dom4j.Element element,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`
  Overrides:
    `read` in class `Node`

### execute

    public void execute(ExecutionContext executionContext)

  Description copied from class: `Node`
  override this method to customize the node behaviour.

  Overrides:
    `execute` in class `Node`

### mustParentBeReactivated

    public boolean mustParentBeReactivated(Token parentToken,
                                           java.util.Iterator childTokenNameIterator)

### getScript

    public Script getScript()

### setScript

    public void setScript(Script script)

### getTokenNames

    public java.util.Collection getTokenNames()

### setTokenNames

    public void setTokenNames(java.util.Collection tokenNames)

### isDiscriminator

    public boolean isDiscriminator()

### setDiscriminator

    public void setDiscriminator(boolean isDiscriminator)

### getNOutOfM

    public int getNOutOfM()

### setNOutOfM

    public void setNOutOfM(int nOutOfM)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD